nova (3:33.0.0-0ubuntu3.1) resolute-security; urgency=high

  * SECURITY UPDATE: scheduler bypass via internal _nova-prefixed hints
    - d/p/cve-2026-46448-strip-internal-nova-scheduler-hints.patch: strip
      internal _nova-prefixed scheduler hints on instance create so they
      cannot bypass Placement candidate selection, request pre-filters and
      resource claims.
    - CVE-2026-46448 
  * d/gbp.conf: Create stable/2026.1 branch.

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Mon, 08 Jun 2026 14:10:45 +0530

nova (3:33.0.0-0ubuntu3) resolute; urgency=medium

  * d/control: Drop stale Conflicts: nova-api from nova-api-os-compute.
    As of 33.0.0, nova-api-os-compute is a dummy transitional package that
    depends on nova-api, where the compute API Apache site now lives.
  * d/nova-api-os-compute.maintscript:
    Clean up the orphaned /etc/apache2/sites-available/nova-api-os-compute.conf
    conffile on upgrade from pre-33.0.0 versions.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 21 Apr 2026 12:00:00 -0700

nova (3:33.0.0-0ubuntu2) resolute; urgency=medium

  * d/control: Remove hard dependency on nova-api-metadata.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 09 Apr 2026 07:39:42 -0700

nova (3:33.0.0-0ubuntu1) resolute; urgency=medium

  * New upstream version 33.0.0
  * New upstream release for OpenStack Gazpacho. (LP: #2137593)
  * d/p/debian/patches/fix-test-timing-races-python3.14.patch: Add
    patch for flaky time-related unit tests.
  * d/control: Fix nova-api and nova-metadata-api conflict
  * d/tests/nova-api: Strengthen autopkgtest

 -- Myles Penner <myles.penner@canonical.com>  Wed, 01 Apr 2026 14:15:52 -0700

nova (3:33.0.0~rc1-0ubuntu1) resolute; urgency=medium

  * d/watch: restore pgpsigurlmangle for signed tarball
  * d/u/signing-key.asc: update for gazpacho
  * New upstream version 33.0.0~rc1
  * d/patches/*: refresh patches
  * d/sudoers: remove command arguments for sudo-rs compatibility
  * d/nova-api-metadata.conf: fix WSGIScriptAlias to use nova-metadata-wsgi,
    use a separate nova-metadata process group, remove stale Alias/Location
    block, and use dedicated log files.
  * d/nova-api-wsgi, d/nova-metadata-wsgi, d/rules: ship WSGI scripts for
    nova-api and nova-api-metadata since upstream removed wsgi_scripts entry
    points.
  * New upstream release for OpenStack Gazpacho. (LP: #2137592)
  * d/tests/nova-compute-daemons: Restart nova-compute so each iteration is a
    fresh working conductor.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 19 Mar 2026 08:25:45 -0700

nova (3:32.0.0+git20260128.59a7093-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update version
  * d/u/signing-key.asc: remove for snapshot
  * d/patches/*: refresh patches
  * New upstream snapshot from 59a7093915298973c72b6d1749a6acd27e0045a9
    for OpenStack Gazpacho. (LP: #2137590)
  * d/p/testtools-2.8.2-TestMatchersInterface-is-removed.patch: Add patch
    from Debian to fix test discovery with testtools >= 2.8.2
    (Closes: #1124185).
  * d/p/fix-BackendAlreadySelected-during-test-discovery.patch: Add patch
    to handle BackendAlreadySelected during test discovery.
  * d/p/fix-test_threading_selected_by_default-env-var.patch: Add patch
    to fix KeyError when OS_NOVA_DISABLE_EVENTLET_PATCHING is not set.
  * d/tests/nova-compute-daemons: Set up MySQL database and start
    nova-conductor before testing compute daemons. nova-compute blocks
    in wait_until_ready() until conductor responds, and conductor needs
    a synced database to start its RPC server. Also add journalctl
    capture on failure for better diagnostics.
  * d/tests/nova-daemons: Use IF NOT EXISTS in SQL statements for
    compatibility when nova-compute-daemons has already set up the
    database in the shared autopkgtest environment.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 29 Jan 2026 16:58:00 -0800

nova (3:32.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Wed, 01 Oct 2025 14:11:59 +0200

nova (3:32.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/watch: Update version detection.
  * d/p/arm-console-patch.patch: Refresh.
  * d/p/change-tempdir-perms-for-libvirt-qemu.patch: Refresh.

 -- Myles Penner <myles.penner@canonical.com>  Sat, 20 Sep 2025 13:59:26 -0700

nova (3:31.0.0+git2025070714.1c03429337-0ubuntu2) questing; urgency=medium

  * d/nova_sudoers: Drop !requiretty override causing compatibility issues
    with sudo-rs. (LP: #2120708)

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 19 Aug 2025 10:04:38 +0200

nova (3:31.0.0+git2025070714.1c03429337-0ubuntu1) questing; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.
  * New upstream release for OpenStack Flamingo. (LP: #2103413)
  * Refresh patches:
    - d/p/change-tempdir-perms-for-libvirt-qemu.patch
    - d/p/arm-console-patch.patch
    - d/p/skip-if-https-proxy.patch
  * d/control: Align (Build-)Depends with upstream.
  * d/nova-api: Transition package to be wsgi based.
  * d/nova-api-metadata: Transition package to be wsgi based.
  * d/nova-api-os-compute: Transition package to dummy package.
  * d/t/nova-{api,daemons}: Check vhost is loaded instead of process running.
  * d/s/options: Ignore .launchpad.yaml in debdiff.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 08 Jul 2025 08:25:29 +0200

nova (3:31.0.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * Refresh patches:
    - d/p/arm-console-patch.patch
    - d/p/change-tempdir-perms-for-libvirt-qemu.patch
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 03 Apr 2025 11:13:32 -0700

nova (3:30.0.0+git2025030311.e6b8b051a9-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.
  * Dropped switch-to-oslo.utils-secretutils and correctly-patch-get_by_flavor
    patches already merged into upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 04 Mar 2025 17:39:38 +0000

nova (3:30.0.0+git2025011510.77e9ec0a65-0ubuntu2) plucky; urgency=medium

  * d/p/install-missing-db-files.patch: Increase scope of recursive
    include.

 -- James Page <james.page@ubuntu.com>  Thu, 23 Jan 2025 09:44:50 +0000

nova (3:30.0.0+git2025011510.77e9ec0a65-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Drop surplus dependencies.
  * d/p/switch-to-using-oslo.utils-secretutils.patch,
    switch-to-using-oslo.utils-secretutils.patch: Misc fixes for
    compatibility with Python >= 3.13.

 -- James Page <james.page@ubuntu.com>  Tue, 21 Jan 2025 15:21:35 +0000

nova (3:30.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:34:56 +0100

nova (3:30.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release candidate for OpenStack Dalmatian.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 14:44:44 +0100

nova (3:29.1.0+git2024080716.bb2d7f9c-0ubuntu2) oracular; urgency=medium

  * d/control: Drop python3-{zvmcloudconnector,oslo.vmware} to runtime
    Suggests.
  * d/control: Add Depends on python3-oslo.vmware to nova-compute-vmware.
  * d/control: Add epoch for python3-zvmcloudconnector dependencies.
  * d/control: Drop python3-migrate from (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Aug 2024 13:17:07 +0100

nova (3:29.1.0+git2024080716.bb2d7f9c-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/test-hacking-compat.patch: Drop, included upstream.
  * d/p/oslo.versionedobjects-compat.patch: Drop, similar included
    upstream.
  * d/p/CVE*.patch: Drop, included in snapshot.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Aug 2024 11:18:48 +0100

nova (3:29.0.1-0ubuntu4) oracular; urgency=medium

  * SECURITY UPDATE: Arbitrary file access via custom QCOW2 external data
    (LP: #2059809)
    - debian/patches/CVE-2024-32498-1.patch: reject qcow files with
      data-file attributes.
    - debian/patches/CVE-2024-32498-2.patch: check images with
      format_inspector for safety.
    - debian/patches/CVE-2024-32498-3.patch: additional qemu safety
      checking on base images.
    - debian/patches/CVE-2024-32498-4.patch: fix vmdk_allowed_types
      checking.
    - CVE-2024-32498

 -- James Page <james.page@ubuntu.com>  Fri, 21 Jun 2024 15:45:59 +0100

nova (3:29.0.1-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 15:28:26 +0100

nova (3:29.0.0~rc1-0ubuntu2) noble; urgency=medium

  * d/control: Drop os-xenapi from (Build-)Depends.
  * d/control: Drop os-win from (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Tue, 26 Mar 2024 14:22:20 +0000

nova (3:29.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.
  * d/p/*: Refresh.
  * d/p/drop-actdiag.patch: Drop, no longer needed.
  * d/exclude-list.txt,rules: Skip two tests that fail due to missing
    patching that breaks under Python >= 3.12.

 -- James Page <james.page@ubuntu.com>  Wed, 20 Mar 2024 13:46:16 +0000

nova (3:28.0.1+git2024011916.087c372a-0ubuntu2) noble; urgency=medium

  * d/control: Drop python3-pypowervm from (Build-)Depends as this driver
    was removed from Nova.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Feb 2024 13:55:18 +0000

nova (3:28.0.1+git2024011916.087c372a-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Refresh patches
  * d/rules: Use --exclude-regex with stestr run.
  * d/p/test-hacking-compat.patch: Fix syntax error in hacking test
    code.
  * d/patches/oslo.versionedobjects-compat.patch: Use OsloOrderedDict
    when adding extra data to version information.
  * d/control: Priority extra->optional.
  * d/source_nova.py: use python3.
  * d/control,rules: Use dh_sphinxdoc to tidy generated documentation.
  * d/nova-compute-kvm.postinst: Restore missing interpreter.
  * d/control: Add Pre-Depends to ensure full systemd init.d compat.
  * d/control: Add Depends on adduser for nova-compute-{kvm,qemu}.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Feb 2024 16:05:21 +0000

nova (3:28.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:16:53 -0400

nova (3:27.1.0+git2023090509.82a17a37-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-actdiag.patch: Temporarily drop actdiag until bug fixed upstream.
  * d/p/install-missing-db-files.patch: Install missing db files, including
    nova/db/api/alembic.ini and nova/db/main/alembic.ini.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 09:25:08 -0400

nova (3:27.1.0+git2023071215.f7ce4df5-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * d/p/skip-if-https-proxy.patch: Test skipped if https-proxy is set
    as lpci builds in .launchpad.yaml do.
  * New upstream snapshot for OpenStack Bobcat.
  * d/p/CVE-2023-2088-*.patch: Dropped. Fixed in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 15:04:04 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog nova-volume`.
